summaryrefslogtreecommitdiffstats
path: root/desktop/wmmixer
diff options
context:
space:
mode:
author Cezary M. Kruk <c.kruk@bigfoot.com>2010-05-12 23:28:27 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:28:27 +0200
commit6f145d1dc5c9a6e4f90e2e8d6a08e09c96836792 (patch)
tree6eebae5176037a8f6452f08ccccfcafc63344f42 /desktop/wmmixer
parente5a78876222b6651a26435e30a7b2ae38c6f71c3 (diff)
downloadslackbuilds-6f145d1dc5c9a6e4f90e2e8d6a08e09c96836792.tar.gz
slackbuilds-6f145d1dc5c9a6e4f90e2e8d6a08e09c96836792.tar.xz
desktop/wmmixer: Added to 12.2 repository
Diffstat (limited to 'desktop/wmmixer')
-rw-r--r--desktop/wmmixer/README3
-rw-r--r--desktop/wmmixer/slack-desc19
-rw-r--r--desktop/wmmixer/wmmixer.SlackBuild76
-rw-r--r--desktop/wmmixer/wmmixer.info8
4 files changed, 106 insertions, 0 deletions
diff --git a/desktop/wmmixer/README b/desktop/wmmixer/README
new file mode 100644
index 0000000000..6030e74e98
--- /dev/null
+++ b/desktop/wmmixer/README
@@ -0,0 +1,3 @@
+wmmixer is Window Maker sound mixer dockable application
+
+wmmixer is a mixer application designed for WindowMaker.
diff --git a/desktop/wmmixer/slack-desc b/desktop/wmmixer/slack-desc
new file mode 100644
index 0000000000..24fd4fd3db
--- /dev/null
+++ b/desktop/wmmixer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wmmixer: wmmixer (Window Maker sound mixer dockable application)
+wmmixer:
+wmmixer: wmmixer is a mixer application designed for WindowMaker.
+wmmixer:
+wmmixer:
+wmmixer:
+wmmixer:
+wmmixer:
+wmmixer:
+wmmixer:
+wmmixer:
diff --git a/desktop/wmmixer/wmmixer.SlackBuild b/desktop/wmmixer/wmmixer.SlackBuild
new file mode 100644
index 0000000000..28f2e6cf79
--- /dev/null
+++ b/desktop/wmmixer/wmmixer.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for wmmixer
+# Written by Cezary M. Kruk (c.kruk@bigfoot.com)
+#
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=wmmixer
+VERSION=${VERSION:-1.5}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" make
+
+mkdir $PKG/usr
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/usr/man/man1
+
+# Executable and manual are copied to the correct location
+cp -a wmmixer $PKG/usr/bin
+cp -a wmmixer.1 $PKG/usr/man/man1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES COPYING INSTALL README home.wmmixer \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cp -a home.wmmixer $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/desktop/wmmixer/wmmixer.info b/desktop/wmmixer/wmmixer.info
new file mode 100644
index 0000000000..4f37f05b6a
--- /dev/null
+++ b/desktop/wmmixer/wmmixer.info
@@ -0,0 +1,8 @@
+PRGNAM="wmmixer"
+VERSION="1.5"
+HOMEPAGE="http://c.kruk.webpark.pl/"
+DOWNLOAD="http://c.kruk.webpark.pl/wmmixer-1.5.tar.gz"
+MD5SUM="bfb1ded801910dd39e1bb0b273c4e1c3"
+MAINTAINER="Cezary M. Kruk"
+EMAIL="c.kruk@bigfoot.com"
+APPROVED="dsomero"